USB_DEVICE_VER
Prev | Chapter 4. Host-Side Data Types and Macros | Next

## Name

USB_DEVICE_VER — macro used to describe a specific usb device with a

## Synopsis

`USB_DEVICE_VER (` |  | vend,
|  | prod,
|  | lo,
|  | hi`)`;

## Arguments

`vend`

  the 16 bit USB Vendor ID

`prod`

  the 16 bit USB Product ID

`lo`

  the bcdDevice_lo value

`hi`

  the bcdDevice_hi value

## Description

This macro is used to create a struct usb_device_id that matches a specific device, with a version range.

## Description

This macro is used to create a struct usb_device_id that matches a specific device, with a version range.

Prev | Up | Next
USB_DEVICE | Home | USB_DEVICE_INTERFACE_PROTOCOL